Bug 1572704 - NetApp: Add use-exact-size parameter when creating a LUN on ONTAP iSCSI
Summary: NetApp: Add use-exact-size parameter when creating a LUN on ONTAP iSCSI
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-cinder
Version: 12.0 (Pike)
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: z3
: 12.0 (Pike)
Assignee: Eric Harney
QA Contact: Avi Avraham
Kim Nylander
URL:
Whiteboard:
Depends On:
Blocks: 1563565 1572707
TreeView+ depends on / blocked
 
Reported: 2018-04-27 16:02 UTC by Eric Harney
Modified: 2020-07-29 12:34 UTC (History)
6 users (show)

Fixed In Version: openstack-cinder-11.1.0-12.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1563565
Environment:
Last Closed: 2018-08-20 12:46:46 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:2516 None None None 2018-08-20 12:47:05 UTC

Description Eric Harney 2018-04-27 16:02:50 UTC
+++ This bug was initially created as a clone of Bug #1563565 +++

Description of problem:

When a cinder volume is created the ontap backend fits the LUN to the
best geometry. It makes the image uploaded from a volume larger than
expected and a volume of larger size must be created from that image.
Using the use-exact-size parameter the backend does not fit to best
geometry, the image uploaded from that volume has the same size and a
volume of the same size may be created from that image.


[1] https://bugs.launchpad.net/cinder/+bug/1731474
[2] https://git.openstack.org/cgit/openstack/cinder/commit/?id=67391f1f0f30172190882e7d3f4a4ddc271dfa00

Comment 7 Tzach Shefi 2018-08-12 04:58:14 UTC
Don't have access to host+Netapp for testing at the moment.

Comment 9 errata-xmlrpc 2018-08-20 12:46:46 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:2516


Note You need to log in before you can comment on or make changes to this bug.